# Kod z książki, z dodanymi operacjami otwierania pliku, aby był możliwy do uruchomienia,
# oraz numerami dodanymi do wydruków w celu oznaczenia przykładów.

F = 'lines.txt'
ignore = stop = 'stop\n'
print(0, repr(open(F).read()))


# Tradycyjny sposób

file = open(F)
line = file.readline()             # Wyrażenie bez :=  
if line:
    print(1, line)

file = open(F)
line = file.readline()             # To samo z pętlą while
while line:
    print(2, line)
    line = file.readline()


file = open(F)
while True:                        # Zarówno bez :=, jak i bez powtarzania
   line = file.readline()
   if not line: break
   print(3, line)


# Przypisanie nazwane

file = open(F)
if line := file.readline():        # Różne sposoby dla :=
    print(4, line)

file = open(F)
while line := file.readline():
    print(5, line)


file = open(F)
if (line := file.readline()) != ignore:        # Wymagane nawiasy
    print(6, line)

file = open(F)
while (line := file.readline()) != stop:       # Nie głupi pomysł
    print(7, line)
